Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.submit.transports.http
Class TimeablePostMethod

    java.lang.Object
      org.apache.commons.httpclient.HttpMethodBase
          org.apache.commons.httpclient.methods.ExpectContinueMethod
              org.apache.commons.httpclient.methods.EntityEnclosingMethod
                  org.apache.commons.httpclient.methods.PostMethod
                      com.eviware.soapui.impl.wsdl.submit.transports.http.TimeablePostMethod

All Implemented Interfaces:
  org.apache.commons.httpclient.HttpMethod

    public final class TimeablePostMethod

extends org.apache.commons.httpclient.methods.PostMethod

Extended PostMethod that supports limiting of response size and detailed timestamps

Author:
  Ole.Matzura

Field Summary

Fields inherited from class org.apache.commons.httpclient.methods.PostMethod
`FORM_URL_ENCODED_CONTENT_TYPE`

Fields inherited from class org.apache.commons.httpclient.methods.EntityEnclosingMethod
`CONTENT_LENGTH_AUTO, CONTENT_LENGTH_CHUNKED`

Constructor Summary
`TimeablePostMethod()`

Method Summary
`long` | `getMaxSize()`
`byte[]` | `getResponseBody()`
`SSLInfo` | `getSSLInfo()`
`long` | `getStartTime()`
`long` | `getTimeTaken()`
`long` | `getTimeTakenUntilNow()`
`void` | `initStartTime()`
`protected void` | `readResponse(org.apache.commons.httpclient.HttpState arg0, org.apache.commons.httpclient.HttpConnection arg1)`
`void` | `setMaxSize(long maxSize)`
`protected void` | `writeRequest(org.apache.commons.httpclient.HttpState arg0, org.apache.commons.httpclient.HttpConnection arg1)`

Methods inherited from class org.apache.commons.httpclient.methods.PostMethod
`addParameter, addParameter, addParameters, clearRequestBody, generateRequestEntity, getName, getParameter, getParameters, hasRequestContent, removeParameter, removeParameter, setParameter, setRequestBody`

Methods inherited from class org.apache.commons.httpclient.methods.EntityEnclosingMethod
`addContentLengthRequestHeader, addRequestHeaders, generateRequestBody, getFollowRedirects, getRequestCharSet, getRequestContentLength, getRequestEntity, recycle, setContentChunked, setFollowRedirects, setRequestBody, setRequestBody, setRequestContentLength, setRequestContentLength, setRequestEntity, writeRequestBody`

Methods inherited from class org.apache.commons.httpclient.methods.ExpectContinueMethod
`getUseExpectHeader, setUseExpectHeader`

Methods inherited from class org.apache.commons.httpclient.HttpMethodBase
`abort, addCookieRequestHeader, addHostRequestHeader, addProxyConnectionHeader, addRequestHeader, addRequestHeader, addResponseFooter, addUserAgentRequestHeader, checkNotUsed, checkUsed, execute, generateRequestLine, getAuthenticationRealm, getContentCharSet, getDoAuthentication, getEffectiveVersion, getHostAuthState, getHostConfiguration, getMethodRetryHandler, getParams, getPath, getProxyAuthenticationRealm, getProxyAuthState, getQueryString, getRecoverableExceptionCount, getRequestHeader, getRequestHeaderGroup, getRequestHeaders, getRequestHeaders, getResponseBodyAsStream, getResponseBodyAsString, getResponseCharSet, getResponseContentLength, getResponseFooter, getResponseFooters, getResponseHeader, getResponseHeaderGroup, getResponseHeaders, getResponseHeaders, getResponseStream, getResponseTrailerHeaderGroup, getStatusCode, getStatusLine, getStatusText, getURI, hasBeenUsed, isAborted, isConnectionCloseForced, isHttp11, isRequestSent, isStrictMode, processResponseBody, processResponseHeaders, processStatusLine, readResponseBody, readResponseHeaders, readStatusLine, releaseConnection, removeRequestHeader, removeRequestHeader, responseBodyConsumed, setConnectionCloseForced, setDoAuthentication, setHostConfiguration, setHttp11, setMethodRetryHandler, setParams, setPath, setQueryString, setQueryString, setRequestHeader, setRequestHeader, setResponseStream, setStrictMode, setURI, shouldCloseConnection, validate, writeRequestHeaders, writeRequestLine`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TimeablePostMethod

    public TimeablePostMethod()

Method Detail

### readResponse

    protected void readResponse(org.apache.commons.httpclient.HttpState arg0,
                                org.apache.commons.httpclient.HttpConnection arg1)
                         throws java.io.IOException,
                                org.apache.commons.httpclient.HttpException

  Overrides:
    `readResponse` in class `org.apache.commons.httpclient.HttpMethodBase`
  Throws:
    `java.io.IOException`
    `org.apache.commons.httpclient.HttpException`

### getMaxSize

    public long getMaxSize()

### setMaxSize

    public void setMaxSize(long maxSize)

### getTimeTakenUntilNow

    public long getTimeTakenUntilNow()

### writeRequest

    protected void writeRequest(org.apache.commons.httpclient.HttpState arg0,
                                org.apache.commons.httpclient.HttpConnection arg1)
                         throws java.io.IOException,
                                org.apache.commons.httpclient.HttpException

  Overrides:
    `writeRequest` in class `org.apache.commons.httpclient.HttpMethodBase`
  Throws:
    `java.io.IOException`
    `org.apache.commons.httpclient.HttpException`

### initStartTime

    public void initStartTime()

### getTimeTaken

    public long getTimeTaken()

### getStartTime

    public long getStartTime()

### getResponseBody

    public byte[] getResponseBody()
                           throws java.io.IOException

  Specified by:
    `getResponseBody` in interface `org.apache.commons.httpclient.HttpMethod`
  Overrides:
    `getResponseBody` in class `org.apache.commons.httpclient.HttpMethodBase`
  Throws:
    `java.io.IOException`

### getSSLInfo

    public SSLInfo getSSLInfo()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.